Bug 471520 - Review Request: rubygem-simple-rss - A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby
Summary: Review Request: rubygem-simple-rss - A simple, flexible, extensible, and libe...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-14 04:39 UTC by Michael Stahnke
Modified: 2009-03-31 20:37 UTC (History)
2 users (show)

Fixed In Version: 1.1-4.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-09 16:40:25 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2008-11-14 04:39:19 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/rubygem-simple-rss.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-simple-rss-1.1-1.fc9.src.rpm
Description: A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby

Comment 1 Mamoru TASAKA 2008-12-26 08:08:11 UTC
I will review this. Instead I would appreciate it if you
would review my review request for rubygem-hpricot (bug 477526)

Comment 2 Mamoru TASAKA 2008-12-26 15:40:57 UTC
For 1.1-1:

* License
  - License tag must be "LGPLv2+"

* Documents
  - Please check if Rakefile is really needed.
  - README, LICENSE should be marked as %doc.

* %geminstdir
---------------------------------------------------------
%files
%{gemdir}/gems/%{gemname}-%{version}/
---------------------------------------------------------
  - can be replaced by %{geminstdir}/ because you defined
    this macro.

Comment 3 Mamoru TASAKA 2009-01-08 16:59:57 UTC
ping?

Comment 4 Michael Stahnke 2009-01-10 17:52:56 UTC
I will try to get to this tonight.

Comment 5 Michael Stahnke 2009-01-13 03:27:56 UTC
License -- Fixed
Documents -- Not sure on this one.  Most gems have README in /usr/lib/ruby/....
A few examples. 

/usr/lib/ruby/gems/1.8/gems/actionmailer-2.1.1/README
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.1/README
/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.1/README
/usr/lib/ruby/gems/1.8/gems/activeresource-2.1.1/README
/usr/lib/ruby/gems/1.8/gems/activesupport-2.1.1/README
/usr/lib/ruby/gems/1.8/gems/cgi_multipart_eof_fix-2.3/README
/usr/lib/ruby/gems/1.8/gems/daemons-1.0.10/README
/usr/lib/ruby/gems/1.8/gems/daemons-1.0.7/README
/usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.2/README
/usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/README
/usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/README.signals

I am not opposed to it either way, but if it is installing as a gem, I don't know that I can unpack and relocate the README file easily.  Any suggestions?

Fixed macro. 

http://stahnma.fedorapeople.org/reviews/rubygem-simple-rss-1.1-2.fc10.src.rpm
http://stahnma.fedorapeople.org/reviews/rubygem-simple-rss.spec

Comment 6 Mamoru TASAKA 2009-01-14 15:43:19 UTC
Well, I am just saying that README file should be marked
as %doc, not suggesting that README file should be relocated.

Comment 7 Mamoru TASAKA 2009-01-25 07:40:33 UTC
ping?

Comment 9 Mamoru TASAKA 2009-01-26 18:58:22 UTC
For 1.1-3:

* License
  - License tag should be "LGPLv2+", not with "or Ruby".

* duplicate files
  - Now build.log shows:
-------------------------------------------------------
    49  Processing files: rubygem-simple-rss-1.1-3.fc11
    50  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/simple-rss-1.1/README
-------------------------------------------------------
    One of the way to suppress this warning is:
-------------------------------------------------------
%files
%defattr(-,root,root,-)
%dir %{geminstdir}/
%doc %{geminstdir}/[A-Z]*
%{geminstdir}/*/
-------------------------------------------------------
    ! By the way, please use macros consistently.
      You use both %{gemdir}/gems/%{gemname}-%{version}/ and
      %{geminstdir} at %files, however these are the same.

Comment 10 Mamoru TASAKA 2009-02-06 15:21:07 UTC
ping?

Comment 11 Michael Stahnke 2009-02-10 01:38:28 UTC
Thanks for the updates.  I have updated the packages.  I am working on your other review too!


http://stahnma.fedorapeople.org/reviews/rubygem-simple-rss-1.1-4.fc10.src.rpm
http://stahnma.fedorapeople.org/reviews/rubygem-simple-rss.spec

Comment 12 Mamoru TASAKA 2009-02-10 17:43:12 UTC
Okay.

---------------------------------------------------------------
   This package (rubygem-simple-rss) is APPROVED by mtasaka
---------------------------------------------------------------

Comment 13 Michael Stahnke 2009-02-11 02:39:14 UTC
New Package CVS Request
=======================
Package Name: rubygem-simple-rss
Short Description: A simple, flexible, extensible, and liberal RSS and Atom reader for Ruby  
Owners: stahnma kanarip
Branches: F-9 F-10
InitialCC:

Comment 14 Kevin Fenzi 2009-02-13 06:44:27 UTC
cvs done.

Comment 15 Michael Stahnke 2009-02-14 01:11:25 UTC
New Package CVS Request
=======================
Package Name: rubygem-simple-rss
Short Description: A simple, flexible, extensible, and liberal RSS and Atom
reader for Ruby  
Owners: stahnma kanarip
Branches: EL-5
InitialCC:

Comment 16 Kevin Fenzi 2009-02-14 01:13:08 UTC
cvs done.

Comment 17 Mamoru TASAKA 2009-03-01 15:56:50 UTC
- Please rebuild also on F-9
- And for F-10 F-9, please submit requests to push the rebuilt
  packages into repositories on bodhi:
  https://admin.fedoraproject.org/updates/

Comment 18 Fedora Update System 2009-03-03 05:14:15 UTC
rubygem-simple-rss-1.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-simple-rss-1.1-4.fc10

Comment 19 Fedora Update System 2009-03-04 16:23:25 UTC
rubygem-simple-rss-1.1-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-simple-rss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2300

Comment 20 Mamoru TASAKA 2009-03-09 16:40:25 UTC
Now closing.

Comment 21 Fedora Update System 2009-03-31 20:37:34 UTC
rubygem-simple-rss-1.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.